Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface ClassificationSchemeQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  ClassificationSchemeQueryTypeImpl

    public interface ClassificationSchemeQueryType

extends RegistryObjectQueryType

A representation of the model object 'Classification Scheme Query Type'.

The following features are supported:

- `Children Query`
- `Node Type Query`

See Also:
  `QueryPackage.getClassificationSchemeQueryType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getChildrenQuery()` Returns the value of the 'Children Query' containment reference list.
`ClassificationNodeQueryType` | `getNodeTypeQuery()` Returns the value of the 'Node Type Query' containment reference.
`void` | `setNodeTypeQuery(ClassificationNodeQueryType value)` Sets the value of the '`Node Type Query`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.RegistryObjectQueryType
`getClassificationQuery, getDescriptionBranch, getExternalIdentifierQuery, getNameBranch, getObjectTypeQuery, getSlotBranch, getSourceAssociationQuery, getStatusQuery, getTargetAssociationQuery, getVersionInfoFilter, setDescriptionBranch, setNameBranch, setObjectTypeQuery, setStatusQuery, setVersionInfoFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getChildrenQuery

    org.eclipse.emf.common.util.EList getChildrenQuery()

  Returns the value of the 'Children Query' containment reference list. The list contents are of type `ClassificationNodeQueryType`.

  If the meaning of the 'Children Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children Query' containment reference list.
  See Also:
    `QueryPackage.getClassificationSchemeQueryType_ChildrenQuery()`

### getNodeTypeQuery

    ClassificationNodeQueryType getNodeTypeQuery()

  Returns the value of the 'Node Type Query' containment reference.

  If the meaning of the 'Node Type Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Node Type Query' containment reference.
  See Also:
    `setNodeTypeQuery(ClassificationNodeQueryType)`, `QueryPackage.getClassificationSchemeQueryType_NodeTypeQuery()`

### setNodeTypeQuery

    void setNodeTypeQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Node Type Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Node Type Query' containment reference.
  See Also:
    `getNodeTypeQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD